Package Details: komga 0.64.4-1

Git Clone URL: https://aur.archlinux.org/komga.git (read-only, click to copy)
Package Base: komga
Description: Media server for comics/mangas/BDs with API and OPDS support
Upstream URL: https://komga.org
Licenses: MIT
Submitter: rhysperry111
Maintainer: rhysperry111
Last Packager: rhysperry111
Votes: 5
Popularity: 0.64
First Submitted: 2020-05-09 18:04
Last Updated: 2020-11-03 10:16

Latest Comments

rhysperry111 commented on 2020-08-27 07:00

I probably won't update this package for another week because I managed to bork my laptop. I don't have a live USB and I can't get one until I get out of quarantine

RiCON commented on 2020-07-02 22:18

By the way, when updating the main pkgver, don't forget to reset pkgrel back to 1. That one is usually only incremented when the pkgver stays the same but you want to upgrade the package itself.

rhysperry111 commented on 2020-06-21 11:26

Sure, thanks for the help. I'll add it now and make upstream aware

RiCON commented on 2020-06-21 11:25

If you feel like adding a systemd service to make it easier to just install and run, here's a git patch

It adds these files:

 komga.env      | 13 +++++++++++++
 komga.service  | 17 +++++++++++++++++
 komga.sysusers |  1 +
 komga.tmpfiles |  4 ++++

RiCON commented on 2020-06-20 13:55

Yeah, that should work fine, thanks

rhysperry111 commented on 2020-06-20 13:54

Ah, sorry. I made a mistake.

I think the latest commit has fixed it.

RiCON commented on 2020-06-20 13:43

It doesn't have to do with using yay or some other package manager (unless they never reuse build directories).

You can reproduce it with just makepkg:

 - 1. Create a clean build dir
 - 2. Checkout to a previous commit (like the one updating to 0.40.0)
 - 3. `makepkg`
 - 4. Checkout to origin/master
 - 5. `makepkg` <- will fail unless you delete the existing `komga.jar`.

rhysperry111 commented on 2020-06-20 13:02

@RiCON I will update to 0.40.1 shortly.

The issue with it not getting the updated file sounds like an issue on your end. What AUR package manager are you using?

RiCON commented on 2020-06-20 12:01

It seems like makepkg does not download the updated .jar if it finds it already in the build directory, even though it fails the integrity checksum.

It would be better to have an always differently named .jar and then install it to the fixed komga.jar.

By the way, 0.40.1 is out